% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/remove_pdb.R
\name{remove_pdb}
\alias{remove_pdb}
\alias{remove_pdb.character}
\alias{remove_pdb.pdb_data}
\alias{remove_pdb.pdb_data_info}
\alias{remove_pdb.pdb_model_code}
\alias{remove_pdb.pdb_model_info}
\alias{remove_pdb.pdb_posterior}
\alias{remove_pdb.pdb_reference_posterior_draws}
\alias{remove_pdb.pdb_reference_posterior_info}
\alias{remove_pdb.pdb_reference_posterior_summary_statistic}
\title{Remove objects from local pdb}
\usage{
remove_pdb(x, pdb, ...)

\method{remove_pdb}{character}(x, pdb, ...)

\method{remove_pdb}{pdb_data}(x, pdb, remove_info = TRUE, ...)

\method{remove_pdb}{pdb_data_info}(x, pdb, ...)

\method{remove_pdb}{pdb_model_code}(x, pdb, remove_info = TRUE, ...)

\method{remove_pdb}{pdb_model_info}(x, pdb, ...)

\method{remove_pdb}{pdb_posterior}(x, pdb, ...)

\method{remove_pdb}{pdb_reference_posterior_draws}(x, pdb, remove_info = TRUE, ...)

\method{remove_pdb}{pdb_reference_posterior_info}(x, pdb, type, ...)

\method{remove_pdb}{pdb_reference_posterior_summary_statistic}(x, pdb, remove_info = TRUE, ...)
}
\arguments{
\item{x}{an object to remove to the pdb.}

\item{pdb}{the pdb to remove from. Currently only a local pdb.}

\item{...}{further arguments supplied to methods.}

\item{remove_info}{should the information JSON be removed as well?}

\item{type}{supported reference posterior types.}
}
\description{
a function to simplify removing object from a local pdb.
}
